# bodyOrNullOnNoContent

inline suspend fun < T : Any > ERROR CLASS: Symbol not found for HttpResponse. bodyOrNullOnNoContent (): ERROR CLASS: Unresolved name: body(source)

Returns the response body as type T if the status code is not HttpStatusCode.NoContent, otherwise returns null. This is useful for handling responses that may return 204 No Content.

#### Return

The deserialized body of type T, or null if the status is No Content

#### Type Parameters

T

The type to deserialize the response body to